=== debian/changelog ===
konqueror (4:20.12.0-4) unstable; urgency=medium

  * usr/share/kconf_update/webenginepart.upd is built only on architectures
    with QtWebEngine and should be installed conditionally.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 30 Dec 2020 20:28:27 +0100

konqueror (4:20.12.0-3) unstable; urgency=medium

  [ Norbert Preining ]
  * Add myself to uploaders.
  * Fix FTBFS when qtwebengine is not available.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 30 Dec 2020 12:52:18 +0100

konqueror (4:20.12.0-2) unstable; urgency=medium

  * Add missing build dependencies:
    - libkf5notifications-dev

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 29 Dec 2020 19:29:42 +0100

konqueror (4:20.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Rewrite copyright file.
  * Drop l10n migration rules, not required anymore after 2 stable releases.
  * Build with hardening=+all build hardening flag.
  * Refresh upstream metadata, add Bug-Database and Bug-Submit.
  * New upstream release (20.12.0).
  * Refresh patch for making the use of QtWebEngine optional.
  * Update build dependencies according to the upstream build system:
    - add libkf5guiaddons-dev
    - drop libkf5kdelibs4support-dev
  * Update installed files for new webarchive plugin.
  * Bump Standards-Version to 4.5.1, no change required.
  * Refresh upstream metadata.
  * Update project homepage.
  * Removed Eshat Cakar, George Kiagiadakis, Maximiliano Curia, Modestas
    Vainius from the uploaders, thanks for your work on the package!
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 29 Dec 2020 18:38:15 +0100

konqueror (4:20.08.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Use secure URI in Homepage field.
  * Re-export upstream signing key without extra signatures.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Update the build dependencies according to the upstream build system:
    - bump the Qt packages to 5.12.0
    - bump the KF packages to 5.71.0
  * Update the patches:
    - optional-qtwebengine.diff: refresh
  * Update install files.
  * Do not ship the development files for konqsidebarplugin, for now.
  * Update lintian overrides.
  * Drop the kfmclient, and konqueror, as they are largely outdated.
    (Closes: #579870)

 -- Pino Toscano <pino@debian.org>  Fri, 13 Nov 2020 12:28:28 +0100

konqueror (4:20.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - old-kbookmarkmenu.diff: drop, no more needed
  * Really unregister the old /etc/xdg/konqueror.categories conffile;
    drop the misspelt konqeror.maintscript file.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
    - stop passing --fail-missing to dh_missing, as it is the default now
  * Add Rules-Requires-Root: no.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Fri, 28 Aug 2020 10:50:34 +0200
