## konqueror 20.12.3

=== debian/changelog ===
konqueror (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:23:43 +0000

konqueror (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:57:21 +0000

konqueror (4:20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Jan 2021 23:12:13 +0000

konqueror (4:20.12.0-4ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Breaks/Replaces to suit Kubuntu history.

 -- Rik Mills <rikmills@kde.org>  Thu, 31 Dec 2020 08:00:01 +0000

konqueror (4:20.12.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.0)
  * Update patch optional-qtwebengine.diff
  * Install webarchiver.

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Dec 2020 14:30:35 +0000

konqueror (4:20.08.3-1ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Breaks/Replaces to suit Kubuntu history.

 -- Rik Mills <rikmills@kde.org>  Fri, 04 Dec 2020 15:57:54 +0000

konqueror (4:20.08.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.08.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Nov 2020 09:54:50 +0000
