=== debian/control ===
--- 
+++ 
@@ -39,13 +39,15 @@
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/en/konqueror
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/konqueror
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/konqueror.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/konqueror
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/konqueror
 
 Package: konq-plugins
 Architecture: any
 Depends: konqueror (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Enhances: konqueror
+Breaks: konqueror (<< 4:20.08.3-1~)
+Replaces: konqueror (<< 4:20.08.3-1~)
 Recommends: imagemagick
 Description: plugins for Konqueror, the KDE file/web/document browser
  This package contains a variety of useful plugins for Konqueror, the
@@ -87,6 +89,8 @@
 Depends: dolphin, install-info, ${misc:Depends}, ${shlibs:Depends}
 Recommends: kfind
 Suggests: konq-plugins
+Breaks: konq-plugins (<< 4:20.12.0-4~)
+Replaces: konq-plugins (<< 4:20.12.0-4~)
 Description: advanced file manager, web browser and document viewer
  Konqueror is the KDE web browser and advanced file manager.
  .
@@ -106,7 +110,9 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5konq6 (= ${binary:Version}), libkf5xmlgui-dev, ${misc:Depends}
+Depends: libkf5konq6 (= ${binary:Version}),
+         libkf5xmlgui-dev,
+         ${misc:Depends},
 Description: development files for the Konqueror libraries
  This package contains development files for building software that uses the
  Konqueror libraries.
@@ -118,6 +124,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: libkf5konq-data
+Replaces: libkf5konq-data
 Description: core libraries for Konqueror
  This package contains libraries used by several KDE 4 applications,
  particularly Konqueror.
