=== sidebar/trees/init/remote/web/CMakeLists.txt ===
install( FILES .directory apps_web.desktop dot_web.desktop kde_web.desktop look_web.desktop  DESTINATION  ${KDE_INSTALL_DATADIR}/konqsidebartng/virtual_folders/remote/web )
