=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_auto_install:
	dh_auto_install
	# do not ship the development files for konqsidebarplugin, for now
	rm -f debian/tmp/usr/include/konqsidebarplugin.h
	rm -f debian/tmp/usr/lib/*/libkonqsidebarplugin.so
