## konqueror 22.12.1

=== debian/changelog ===
konqueror (4:22.12.1-1+rpi1) bookworm-staging; urgency=medium

  [changes brought forward from 4:17.08.3-2+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Sun, 07 Jan 2018 14:14:20 +0000]
  * Remove armhf from webengine arches since raspbian doesn't currently have it.

  [changes introduced in 4:18.12.0-1+rpi1 by Peter Michal Green]
  * Also remove armhf from architecture list for webengine directory in debian/konqueror.install

  [changes introduced in 4:20.12.0-4+rpi1 by Peter Michael Green]
  * Also remove armhf from architecture list for webengine specific plugins in debian/konq-plugins.install

 -- Raspbian forward porter <root@raspbian.org>  Mon, 16 Jan 2023 00:23:18 +0000

konqueror (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Update build-deps and deps with the info from cmake.
  * Add Albert Astals Cid’s master key to upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 23:38:10 +0100

konqueror (4:22.12.0-3) unstable; urgency=medium

  * Team upload.
  * Remove inactive Uploaders.
  * CI: enable again blhc, as it works fine now with blhc 0.13.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * Use execute_after_dh_auto_install to avoid invoking dh_auto_install
    manually.
  * Bump Standards-Version to 4.6.2, no changes required.
  * Update the support for architectures without WebEngine:
    - update optional-qtwebengine.diff for bits in the new version
    - limit few more files & directories in konq-plugins.install, and
      konqueror.install to the architectures on which WebEngine is available
  * Enable the WebEngine support also on mips64el, as it is available there.

 -- Pino Toscano <pino@debian.org>  Sat, 17 Dec 2022 09:00:55 +0100

konqueror (4:22.12.0-2) unstable; urgency=medium

  * Upload with a correctly released changelog.
  * Add Breaks/Replaces against kget (<< 4:22.12.0-1) for the kget
    plugin translations.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 16:04:48 +0100

konqueror (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1, no change required.
  * Refresh patches.
  * Update the list of installed files from build logs.
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * Update the list of installed files from build logs.
  * New upstream release (22.12.0).
  * Refresh lintian overrides.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 00:13:01 +0100

konqueror (4:21.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).
  * Update the list of installed files.
  * Rewrite copyright information from upstream SPDX info.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 07 Mar 2022 08:32:58 +0100

konqueror (4:21.08.2-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.2).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Fri, 08 Oct 2021 12:56:25 +0900

konqueror (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:21:04 +0900

konqueror (4:21.04.2-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.2).

 -- Norbert Preining <norbert@preining.info>  Thu, 10 Jun 2021 19:45:36 +0900

konqueror (4:21.04.1-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.1).
  * Add upstream fix for unresponsive url input.

 -- Norbert Preining <norbert@preining.info>  Fri, 04 Jun 2021 04:49:47 +0900

konqueror (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Added myself to the uploaders.
  * Update list of installed files.

 -- Norbert Preining <norbert@preining.info>  Tue, 27 Apr 2021 19:49:01 +0900
