=== debian/control ===
--- 
+++ 
@@ -1,55 +1,58 @@
 Source: konqueror
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Sune Vuorela <sune@debian.org>,
-           Norbert Preining <norbert@preining.info>,
-Build-Depends: cmake (>= 3.0~),
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>
+Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                dh-exec,
-               extra-cmake-modules (>= 5.71.0~),
+               dh-sequence-kf5,
+               extra-cmake-modules (>= 5.91.0~),
                gettext,
-               kinit-dev (>= 5.71.0~),
-               libkf5activities-dev (>= 5.71.0~),
-               libkf5archive-dev (>= 5.71.0~),
+               kinit-dev (>= 5.91.0~),
+               libkf5activities-dev (>= 5.91.0~),
+               libkf5archive-dev (>= 5.91.0~),
                libkf5bookmarks-dev,
-               libkf5crash-dev (>= 5.71.0~),
-               libkf5dbusaddons-dev (>= 5.71.0~),
-               libkf5doctools-dev (>= 5.71.0~),
-               libkf5guiaddons-dev (>= 5.71.0~),
-               libkf5iconthemes-dev (>= 5.71.0~),
+               libkf5coreaddons-dev,
+               libkf5crash-dev (>= 5.91.0~),
+               libkf5dbusaddons-dev (>= 5.91.0~),
+               libkf5doctools-dev (>= 5.91.0~),
+               libkf5guiaddons-dev (>= 5.91.0~),
+               libkf5i18n-dev,
+               libkf5iconthemes-dev (>= 5.91.0~),
                libkf5jobwidgets-dev,
-               libkf5kcmutils-dev (>= 5.71.0~),
+               libkf5kcmutils-dev (>= 5.91.0~),
                libkf5kio-dev (>= 5.37.0~),
-               libkf5notifications-dev (>= 5.71.0~),
-               libkf5parts-dev (>= 5.71.0~),
+               libkf5notifications-dev (>= 5.91.0~),
+               libkf5parts-dev (>= 5.91.0~),
+               libkf5sonnet-dev (>= 5.91.0~),
                libkf5su-dev,
-               libkf5wallet-dev (>= 5.71.0~),
-               libkf5windowsystem-dev (>= 5.71.0~),
+               libkf5textwidgets-dev,
+               libkf5wallet-dev (>= 5.91.0~),
+               libkf5windowsystem-dev (>= 5.91.0~),
+               libkf5xmlgui-dev,
                libqt5texttospeech5-dev (>= 5.12.0~),
+               libqt5webkit5-dev,
                libqt5x11extras5-dev,
                libx11-dev,
                pkg-config,
-               pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.12.0~),
+               qtbase5-dev (>= 5.15.2~),
                qtscript5-dev,
-               qtwebengine5-dev (>= 5.12.0~) [amd64 arm64 armhf i386 mipsel],
+               qtwebengine5-dev (>= 5.15.2~) [amd64 arm64 i386 mips64el mipsel],
                zlib1g-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/en/konqueror
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/konqueror
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/konqueror
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/konqueror
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/konqueror.git
 
 Package: konq-plugins
 Architecture: any
 Depends: konqueror (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Enhances: konqueror
-Breaks: konqueror (<< 4:20.08.3-1~)
-Replaces: konqueror (<< 4:20.08.3-1~)
 Recommends: imagemagick
+Breaks: kget (<< 4:22.12.0-1)
+Replaces: kget (<< 4:22.12.0-1)
 Description: plugins for Konqueror, the KDE file/web/document browser
  This package contains a variety of useful plugins for Konqueror, the
  file manager, web browser and document viewer for KDE.  Many of these
@@ -90,8 +93,6 @@
 Depends: dolphin, install-info, ${misc:Depends}, ${shlibs:Depends}
 Recommends: kfind
 Suggests: konq-plugins
-Breaks: konq-plugins (<< 4:20.12.0-4~)
-Replaces: konq-plugins (<< 4:20.12.0-4~)
 Description: advanced file manager, web browser and document viewer
  Konqueror is the KDE web browser and advanced file manager.
  .
@@ -111,9 +112,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5konq6 (= ${binary:Version}),
-         libkf5xmlgui-dev,
-         ${misc:Depends},
+Depends: libkf5konq6 (= ${binary:Version}), libkf5xmlgui-dev, ${misc:Depends}
 Description: development files for the Konqueror libraries
  This package contains development files for building software that uses the
  Konqueror libraries.
@@ -125,8 +124,6 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: libkf5konq-data
-Replaces: libkf5konq-data
 Description: core libraries for Konqueror
  This package contains libraries used by several KDE 4 applications,
  particularly Konqueror.
